org.apache.mina.proxy.handlers.socks

## Class AbstractSocksLogicHandler

- java.lang.Object
- - org.apache.mina.proxy.AbstractProxyLogicHandler
  - - org.apache.mina.proxy.handlers.socks.AbstractSocksLogicHandler

- All Implemented Interfaces:
    ProxyLogicHandler
  Direct Known Subclasses:
    Socks4LogicHandler, Socks5LogicHandler

      public abstract class AbstractSocksLogicHandler
      extends AbstractProxyLogicHandler

  AbstractSocksLogicHandler.java - Base class for SOCKS `AbstractProxyLogicHandler` implementations.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SocksProxyRequest` | `request` The request sent to the proxy.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSocksLogicHandler(ProxyIoSession proxyIoSession)` Creates a new `AbstractSocksLogicHandler`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.proxy.AbstractProxyLogicHandler

      `closeSession, closeSession, enqueueWriteRequest, flushPendingWriteRequests, getProxyFilter, getProxyIoSession, getSession, isHandshakeComplete, setHandshakeComplete, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.proxy.ProxyLogicHandler

      `doHandshake, messageReceived`

- - ### Field Detail

    - #### request

          protected final SocksProxyRequest request

      The request sent to the proxy.

  - ### Constructor Detail

    - #### AbstractSocksLogicHandler

          public AbstractSocksLogicHandler(ProxyIoSession proxyIoSession)

      Creates a new `AbstractSocksLogicHandler`.
      Parameters:
        `proxyIoSession` - the proxy session object

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.